Subject: Re: bug#72462: Having to store password in mutliple places
From: Eli Zaretskii <[email-masked]>
To: [email-masked]
Cc: [email-masked], [email-masked]
Date: Sat, 17 Aug 2024 11:52:07 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Cc: [email-masked], [email-masked]
> Date: Sun, 04 Aug 2024 17:47:28 +0300
> From: Eli Zaretskii <[email-masked]>
> 
> > Cc: [email-masked]
> > From: Andreas Schwab <[email-masked]>
> > Date: Sun, 04 Aug 2024 16:42:33 +0200
> > 
> > On Aug 05 2024, Pranshu wrote:
> > 
> > > Following is the code I have:
> > >
> > > Elisp code:
> > > ----------------------------------------------------------
> > > (setq user-mail-address "[email-masked]")
> > > (setq user-full-name "Pranshu")
> > > (setq smtpmail-smtp-server "smtp.gmail.com")
> > > (setq smtpmail-smtp-service 465)
> > > (setq smtpmail-stream-type  'ssl)
> > > (setq mail-sources `((pop :server "pop.gmail.com"
> > > 						  :user ,user-mail-address
> > > 						  :password "**********" ; Password line
> > > 						  :port 995)))
> > > ----------------------------------------------------------
> > >
> > >
> > > Authinfo:
> > > ----------------------------------------------------------
> > > machine smtp.gmail.com login [email-masked] password **********  port 465
> > > ----------------------------------------------------------
> > 
> > You should add an entry to authinfo for machine pop.gmail.com, then you
> > can remove the credentials from mail-sources.  That's still writing the
> > password twice, but at least it's next to each other in the same file.
> 
> I think writing the password twice is unavoidable, since these are two
> separate servers/services: one for receiving email, the other for
> sending.  Am I right?

No further comments, so I presume the problem is solved by the above
advice, and I'm therefore closing this bug.